ChangeSet 1.1595.7.9, 2003/07/30 13:00:31-07:00, oliver@neukum.org

[PATCH] USB: error return codes in usblp

an unknown ioctl shall return ENOTTY, not EINVAL.


 drivers/usb/class/usblp.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/class/usblp.c b/drivers/usb/class/usblp.c
--- a/drivers/usb/class/usblp.c	Fri Aug  1 10:55:34 2003
+++ b/drivers/usb/class/usblp.c	Fri Aug  1 10:55:34 2003
@@ -573,7 +573,7 @@
 				break;
 
 			default:
-				retval = -EINVAL;
+				retval = -ENOTTY;
 		}
 	else	/* old-style ioctl value */
 		switch (cmd) {
@@ -590,7 +590,7 @@
 				break;
 
 			default:
-				retval = -EINVAL;
+				retval = -ENOTTY;
 		}
 
 done:
